---
title: DOMPoint.fromPoint()
slug: Web/API/DOMPoint/DOMPoint.fromPoint()
tags:
  - API
  - Coordiantes
  - DOM
  - DOMPoint
  - Geometry
  - Geometry Interfaces
  - Method
  - Point
  - Reference
  - Static
  - Static Method
  - fromPoint
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The static <strong>{{domxref("DOMPoint")}}</strong> method <code>fromPoint()</code> creates and returns a new mutable <code>DOMPoint</code> object given a source point.</span> The source point is specified as a {{domxref("DOMPointInit")}}-compatible object, which includes both {{domxref("DOMPoint")}} and {{domxref("DOMPointReadOnly")}}.</p>

<p>You can also create a new <code>DOMPoint</code> object using the {{domxref("DOMPoint.DOMPoint", "new DOMPoint()")}} constructor.</p>

<p>Although this interface is based on <code>DOMPointReadOnly</code>, it is not read-only; the properties within may be changed at will.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>point</em> = DOMPoint.fromPoint(<em>sourcePoint</em>);</pre>

<h3 id="Properties">Properties</h3>

<dl>
 <dt><code>sourcePoint</code></dt>
 <dd>A {{domxref("DOMPointInit")}}-compliant object, which includes both {{domxref("DOMPoint")}} and {{domxref("DOMPointReadOnly")}}, from which to take the values of the new point's properties.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("DOMPoint")}} object whose coordinate and perspective values are identical to those in the source point. The point's properties are mutable and may be changed at any time.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_a_mutable_point_from_a_read-only_point">Creating a mutable point from a read-only point</h3>

<p>If you have a {{domxref("DOMPointReadOnly")}} object, you can easily create a mutable copy of that point:</p>

<pre class="brush: js">var mutablePoint = DOMPoint.fromPoint(readOnlyPoint);</pre>

<h3 id="Creating_a_2D_point">Creating a 2D point</h3>

<p>This sample creates a 2D point, specifying an inline object that includes the values to use for {{domxref("DOMPointReadOnly.x", "x")}} and {{domxref("DOMPointReadOnly.y", "y")}}. The <em>z</em> and <em>w</em> properties are allowed to keep their default values (0 and 1 respectively).</p>

<pre class="brush: js">var center = DOMPoint.fromPoint({x: 75, y: -50, z: -55, w: 0.25});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompoint-frompoint', 'fromPoint()')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.fromPoint")}}</p>
